<!DOCTYPE html>

<html lang="en">

<head>

    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">

    <title>KESAN</title>


    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
    <link rel="stylesheet" href="css/heroic.css">
    <link rel="stylesheet" href="css/bootstrap.min.css">
    <title>KESAN</title>
    <link rel="stylesheet" href="css/help_people.css">
    <link rel="stylesheet" href="css/help_people.css">
    <link rel="stylesheet" href="css/animate.css">

</head>

<body>
    <!-- header -->
    <meta charset="utf-8">
    <link rel="stylesheet" href="css/bootstrap.min.css">
    <!-- Fixed navbar -->
    <nav class="navbar navbar-default">
        <div class="container-fluid">
            <!-- Brand and toggle get grouped for better mobile display -->
            <div class="navbar-header">
                <button type="button" class="navbar-toggle collapsed" data-toggle="collapse" data-target="#bs-example-navbar-collapse-1" aria-expanded="false">
          <span class="sr-only">Toggle navigation</span>
          <span class="icon-bar"></span>
          <span class="icon-bar"></span>
          <span class="icon-bar"></span>
        </button>
                <a class="navbar-brand" href="/">Kesan</a>
            </div>

            <!-- Collect the nav links, forms, and other content for toggling -->
            <div class="collapse navbar-collapse" id="bs-example-navbar-collapse-1">
                <ul class="nav navbar-nav">
                    <li class="{{ Request::is('/') ? 'active' : '' }}">
                        <a href="/">Home</a>
                    </li>
                    <li class="{{ Request::is('rfids*') ? 'active' : '' }}">
                        <a href="/scan">Rfid</a>
                    </li>
                    <li class="{{ Request::is('about') ? 'active' : '' }}">
                        <a href="/about">About</a>
                    </li>
                    <!--
                <li class="{{ Request::is('contact_us') ? 'active' : '' }}">
                  <a href="/contact">Contact Us</a>
                    </li>
                -->
                </ul>
            </div>
            <!-- /.navbar-collapse -->
        </div>
        <!-- /.container-fluid -->
    </nav>


    <section class="animated">
        <div class="container" id="bottom-spacing">
            <div class="row">
                <div class="col-md-12 section-heading text-center">
                    <h2 class="to-animate fadeInUp animated">RESULT</h2>
                    <div class="row">
                        <div class="col-md-8 col-md-offset-2 subtext fadeInUp animated to-animate">
                            <h3>Kansei Engineering-based Sensor for AgroiNdustry</h3>
                        </div>
                    </div>
                </div>
            </div>
            <div class="row">
                <div class="col-md-16">
                </div>
                <div class="col-md-16">
                    <div class="fh5co-person text-center fadeInUp animated to-animate">

                        <!-- -->

                        <figure>
                            <img id="id_img" src="" alt="Image">
                        </figure>
                        <!-- Foto Pegawai -->
                        <h3 id="id_name"> </h3>
                        <h4 id="id_index"></h4>
                        <h4 id="id_insentif"> </h4>
                        <h4 id="id_kenyamanan"> </h4>
                        <h4 id="id_kepercayaan"> </h4>


                        <!-- Foto Pegawai -->

                    </div>
    </section>
    <div class="container-fluid" id="spacing-bottom">
    </div>
    <!-- Footer -->
    <div class="footer-ex">

        <div class="container">
            <p class="m-0 text-center text-white text-middle">Copyright &copy;2019 KESAN</p>

        </div>
</body>
<script src="https://ajax.googleapis.com/ajax/libs/jquery/3.1.0/jquery.min.js"></script>

<script>
    $(document).ready(function() {
        var name = window.localStorage.getItem('name');
        name = 'user1'; //BUAT DEBUG
        if (name == 'null') {


            document.getElementById("id_img").src = "img/person3.jpg";
            document.getElementById("id_index").innerHTML = "RFID User anda belum terdaftar, <a href=/register > klik disini </a> untuk mendaftar";
        } else {
            document.getElementById("id_name").innerHTML = 'Worker Name : ' + name;
            $.post("http://kansei-kesan.tp.ugm.ac.id/rfid.php", {
                isRFID: 1,
                namaPegawai: name
            }, function(result) {
                color = JSON.parse(result);
                if (color == 2) {
                    document.getElementById("id_img").src = "img/red_color.jpg";
                    document.getElementById("id_index").innerHTML = "Employee index : Dibawah Normal";


                } else if (color == 1) {
                    document.getElementById("id_img").src = "img/yellow_color.jpg";
                    document.getElementById("id_index").innerHTML = "Employee index : Normal";

                } else {
                    document.getElementById("id_img").src = "img/green_color.jpg";
                    document.getElementById("id_index").innerHTML = "Employee index : Diatas Normal";

                }



            });
            $.get("http://kansei-kesan.tp.ugm.ac.id/rfid.php", {
                isRFID: 1,
                insentifName: name
            }, function(result) {

                document.getElementById("id_insentif").innerHTML = "Insentif presentase : " + JSON.parse(result) + ' %';

            });

            $.get("http://kansei-kesan.tp.ugm.ac.id/rfid.php", {
                isRFID: 1,
                kenyamananName: name
            }, function(result) {

                document.getElementById("id_kenyamanan").innerHTML = "Indeks Kenyamanan : " + JSON.parse(result) + ' %';

            });

            $.get("http://kansei-kesan.tp.ugm.ac.id/rfid.php", {
                isRFID: 1,
                kepercayaanName: name
            }, function(result) {
                var hasil = JSON.parse(result)

                if (hasil <= 2) {
                    hasil = 'Distrust';
                } else if (hasil <= 5) {
                    hasil = 'Trust';
                } else if (hasil <= 8) {
                    hasil = 'Overtrust';
                }

                document.getElementById("id_kepercayaan").innerHTML = "Indeks Kepercayaan  : " + hasil;

            });
        }


    })
</script>

</html>